dictNext(3)

NAME
dictNext - search for next value in dictionary.

SYNOPSIS
#include <util/dict.h> void *dictNext(dictCtx dict, char **id, void **plock);

ARGUMENTS
dict - dictionary to iterate over.
id - pointer to identifier of last item found, or
pointer to NULL to retrieve first.
plock - place for value lock (or NULL).

DESCRIPTION
Can be used to iterate through values in the dictionary. The order is the order of the hash of the ids, which isn't usefully externally. Will return the value if found, or NULL if not. If <plock> is non-NULL, then the lock returned in <plock> will be associated with the returned value. Until this lock is passed to dictReleaseLock(), the value will not be passed to the dictCleanupFunc callback (see dictCleanup()). MT-Level: Safe if <dict> thread-safe.

RETURN VALUE
plock - set to value lock.
id - pointer to id of found value

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch